# Update MemberPayment

Updates a specific MemberPayment.

Endpoint: PUT /subscribers/{subscriberID}/members/{memberSeq}/payments/{memberPaymentKey}
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `subscriberID` (string, required)
    Subscriber ID

  - `memberSeq` (string, required)
    Member Seq

  - `memberPaymentKey` (integer, required)
    MemberPayment Key

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Request fields (application/json):

  - `memberPayment_Key` (integer, required)
    Unique Identifier for this payment for the member. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `division_ID` (string, required)
    References Subenrollment.Division_ID value on the parent record.

  - `entry_Date` (string)
    Date when the record was first added to the system.

  - `entry_User` (string)
    User that first added the record to the system.

  - `group_Coverage_Start` (string, required)
    References Subenrollment.Group_Coverage_Start value on the parent record. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `group_ID` (string, required)
    References Subenrollment.Group_ID value on the parent record.

  - `member_Seq` (string, required)
    References Members.Member_Seq value on the parent record.

  - `payment_Amount` (number)
    Amount of the associated payment.

  - `payment_Date` (string)
    Date when the associated payment was processed.

  - `payment_ID` (string)
    Unique identifier assigned to the associated payment.

  - `payment_Type` (string)
    Identifies the type associated with the payment.

  - `start_Date` (string, required)
    References Subenrollment.Start_Date value on the parent record. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `subscriber_ID` (string, required)
    References Members.Subscriber_ID value on the parent record.

  - `update_Date` (string)
    Date when the record was last updated in the system.

  - `update_User` (string)
    User that last updated the record in the system.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (object)

  - `data.memberPayment_Key` (integer, required)
    Unique Identifier for this payment for the member. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.division_ID` (string, required)
    References Subenrollment.Division_ID value on the parent record.

  - `data.entry_Date` (string)
    Date when the record was first added to the system.

  - `data.entry_User` (string)
    User that first added the record to the system.

  - `data.group_Coverage_Start` (string, required)
    References Subenrollment.Group_Coverage_Start value on the parent record. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.group_ID` (string, required)
    References Subenrollment.Group_ID value on the parent record.

  - `data.member_Seq` (string, required)
    References Members.Member_Seq value on the parent record.

  - `data.payment_Amount` (number)
    Amount of the associated payment.

  - `data.payment_Date` (string)
    Date when the associated payment was processed.

  - `data.payment_ID` (string)
    Unique identifier assigned to the associated payment.

  - `data.payment_Type` (string)
    Identifies the type associated with the payment.

  - `data.start_Date` (string, required)
    References Subenrollment.Start_Date value on the parent record. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.subscriber_ID` (string, required)
    References Members.Subscriber_ID value on the parent record.

  - `data.update_Date` (string)
    Date when the record was last updated in the system.

  - `data.update_User` (string)
    User that last updated the record in the system.

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

